#version 330 core
precision mediump float;

in vec2 uv;

uniform sampler2D texA;
uniform sampler2D texB;

out vec4 outColor;

void main()
{
    outColor = abs(
        texture(texA, uv) -
        texture(texB, uv)
    );
}